﻿/* Default Theme */
html, body { width: 100%; height: 100%; margin: 0; padding: 0; min-height: 500px; }

body {
    font-family: 'Malgun Gothic';
    font-size: 12px;
    border: 0;
    color: #000000;
    text-decoration: none;
    scrollbar-face-color: whitesmoke;
    scrollbar-shadow-color: #ffffff;
    scrollbar-highlight-color: #ffffff;
    scrollbar-3dlight-color: #BCBCBC;
    scrollbar-darkshadow-color: #BCBCBC;
    scrollbar-arrow-color: #BCBCBC;
    margin: 0;
    padding: 0;
    width: 100%;
    min-width: 1500px !important;
    height: 100%;
    background-color: #fff;
}
::-webkit-scrollbar { width: 8px; height: 8px; }
::-webkit-scrollbar-button { display: block; height: 10px; background: #ffffff; }
::-webkit-scrollbar-track { background: #ffffff; }
::-webkit-scrollbar-thumb { height: 10px; width: 10px; background: #eee; -webkit-border-radius: 8px; border-radius: 8px; -webkit-box-shadow: #eee; }

/* 로그인 관련 */
.login_container {
    font-family: 'Malgun Gothic';
    margin: 0;
    padding: 0;
    border: 0;
    color: Black;
    font-size: 14px;
    font-weight: normal;
    width: 100%;
    height: 100%;
    background: #ebebeb url(../images/login/default/logV_e_box_back.png) bottom center no-repeat;
}

.login_container input { outline: none; }
.login_container input[type=text]::-ms-clear { display: none; }
.login_container input:focus { border: 1px solid #9386ce; }

.login_container .logV_E_back {
    position: relative;
    width: 100%;
    height: 60%;
    min-width: 900px;
    min-height: 500px;
    background-image: url('../Images/login/default/logV_e_back.png');
    background-position: center top;
    background-repeat: no-repeat;
}
.login_container .logV_E_box {
    width: 368px;
    height: 490px;
    background: url('../Images/login/default/logV_e_box.png') no-repeat;
    position: absolute;
    z-index: 99;
    bottom: 10%;
    left: calc(50% - 184px);
    box-sizing: border-box;
    padding: 115px 30px 0 32px;
}
.login_container .logV_E_box .logo {
    width: 100%;
    height: 65px;
    background-position: center top;
    background-repeat: no-repeat;
    background-size: contain;
}
.login_container .logV_E_box .sysName { color: #000; text-align: center; font-size: 24px;  margin: 9px 0 15px 0; }

.login_container .logV_E_box .userID {
    background: url('../Images/login/default/log_icon_id.png') 5px 5px no-repeat;
    width: 100%;
    height: 40px;
    padding: 0 0 0 50px;
    box-sizing: border-box;
    border: 1px solid #dadada;
    border-radius: 25px;
    margin: 15px 0 0 0;
    color: #666;
    font-size: 13px;
}
.login_container .logV_E_box .userID::-webkit-input-placeholder { color: #aaa; }
.login_container .logV_E_box .userID:-ms-input-placeholder { color: #aaa; }
.login_container .logV_E_box .password::-webkit-input-placeholder { color: #aaa; }
.login_container .logV_E_box .password:-ms-input-placeholder { color: #aaa; }
.login_container .logV_E_box .password {
    background: url('../Images/login/default/log_icon_pw.png') 5px 5px no-repeat;
    width: 100%;
    height: 40px;
    padding: 0 0 0 50px;
    box-sizing: border-box;
    border: 1px solid #dadada;
    border-radius: 25px;
    margin: 4px 0 0 0;
    color: #666;
    font-size: 13px;
}
.login_container .logV_E_box .btn_login {
    display: block;
    width: 100%;
    height: 40px;
    text-align: center;
    margin: 4px 0 0 0;
    background: #164fc4;
    border-radius: 25px;
    border: none;
    font-size: 18px;
    font-weight: bold;
    color: #fff;
    text-decoration: none;
    line-height: 38px;
}
.login_container .logV_E_box .btn_login:hover { background: #022d9a; cursor: pointer; }
.login_container .logV_E_box .login-message { position: relative; display: block; color: red; width: 100%; height: 80px; padding: 5px 0px; text-align: center; }
.login_container .logV_E_box .teamInfo { text-align: right; font-size: 13px; color: #666; }
.login_container .logV_E_box .teamInfo span { display: block; }

.top_navigation_bar { min-width: 1500px !important; background-color: #fff !important; }
.top_navigation_bar .top_login_info { min-width: 300px !important; text-align: right; padding: 0 5px 0 0; }
    .top_navigation_bar .top_login_info .ui.items, .top_navigation_bar .top_login_info .ui.items .item.topuser {
        height: 100%;
    }
    
    .top_navigation_bar .ui .menu .fixed {
        min-width: 1500px !important;
    }
.top_navigation_bar .ui.menu .item a.item:hover{background-color: #4d7198}

.ui.secondary.pointing.menu .dropdown.item:hover, .ui.secondary.pointing.menu .link.item:hover, .ui.secondary.pointing.menu a.item{font-weight: bold; margin-right: 2px;}
    .ui.secondary.pointing.menu .dropdown.item:hover, .ui.secondary.pointing.menu .link.item:hover, .ui.secondary.pointing.menu a.item:hover {
        /*color: #186992;*/
        background-color: #476b92;
        color: #fff;
        border-radius: 3px;
    }
.ui.ui.blue.menu .active.item, .ui.ui.blue.menu .active.item:hover, .ui.ui.ui.menu .blue.active.item {
    background-color: #3c5876;
    color: #fff;
    border-radius: 3px;
}
.ui.secondary.pointing.menu .active.item{border-color: inherit;}
/*.ui.secondary.pointing.menu .item {
    padding: .85714286em 1.14285714em
}*/
.main_container {
    width: 100%;
    min-width: 1610px !important;
    height: 100%;
    padding: 80px 20px 10px 20px;
}
.main_container .ui.button{margin-right: .15em}
.main_container .ui.buttons .ui.button.vk:hover {background-color: #2b4a6b; }
.main_container .search-filter .ui.segment:first-child{
    border: 0 none;
}

.process_text {
    float: left;
    width: 10%;
}

.process_file_popup {
    float: right;
    width: 100%;
    padding-top: 8px;
}

.font_weight_bold { font-weight: bold; }

.color_first, .required_color { color: #057be7 !important; }
.color_transparent { color: transparent !important; }
.font_size_13px { font-size: 13px; }
.font_size_16px { font-size: 16px; }
.font_size_17px { font-size: 17px; }
.font_size_18px { font-size: 18px; }

.full_height { height: 100%; }

.padding-remove { padding: 0px !important; }
.padding-remove-top { padding-top: 0px !important; }
.padding-remove-bottom { padding-bottom: 0px !important; }
.padding-remove-left { padding-left: 0px !important; }
.padding-remove-right { padding-right: 0px !important; }
.padding-remove-horizontal { padding-left: 0px !important; padding-right: 0px !important; }
.padding-remove-vertical { padding-top: 0px !important; padding-bottom: 0px !important; }

.padding-top-3px { padding-top: 3px !important; }
.padding-top-6px { padding-top: 6px !important; }
.padding-top-9px { padding-top: 9px !important; }

.padding-right-10px { padding-right: 10px !important; }
.padding-right-20px { padding-right: 20px !important; }

.margin-remove { margin: 0px !important; }
.margin-remove-top { margin-top: 0px !important; }
.margin-remove-bottom { margin-bottom: 0px !important; }
.margin-remove-left { margin-left: 0px !important; }
.margin-remove-right { margin-right: 0px !important; }
.margin-remove-horizontal { margin-left: 0px !important; margin-right: 0px !important; }
.margin-remove-vertical { margin-top: 0px !important; margin-bottom: 0px !important; }

.margin-right-10px { margin-right: 10px !important; }
.margin-top-3px { margin-top: 6px !important; }
.margin-bottom-3px { margin-bottom: 3px !important; }

.border_box_first { border: 1px solid rgba(34,36,38,.15); border-radius: 5px; }

.table_left_title { padding-top: 5px !important; padding-left: 10px !important; }
.table_right_buttons { margin-right: 8px !important; }
.ui .table > thead > tr > th { padding-top: 7px !important; padding-bottom: 7px !important;  }
.ui .table > tbody > tr > td { padding-top: 3px !important; padding-bottom: 3px !important;  }

.append-user tr td { border-top: 0px !important; }

.ui.search .prompt { border-radius: 3px !important; }
.process-ren { width: 200px; }

.ui.selection.dropdown .text { overflow: hidden; text-overflow: ellipsis; white-space: nowrap; width: 90%; }

.button-first {
    background-color: #1e87f0;
    color: #fff;
    border: 1px solid transparent;
}
.button-first:not(:disabled) { cursor: pointer; }
.button-first:hover { text-decoration: none; }
/*.button_first:focus, */
.button-first:hover { background-color: #057be7; color: #fff; }
.ui.icon.button.teal.attach.mini.attach-btn {
    width: 60px;
    height: 25px;
    background-color: #45668E;
}
.table_border_top {
    border-top: 1px solid #29acff;
}

.search-area {
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 0 10px;
}

.grid-row-count-block { display: inline-block; padding-top: 18px; padding-bottom: 4px; }

.ag-header { border-top: 1px solid #29acff; }
/*.ag-body-viewport { border-top: 1px solid #29acff; }*/

.grid-header-center-aligend { text-align: center !important; }
.ag-header-cell-text {
    white-space: normal !important;
}
.topicbox {
    display: inline-block;
    padding-left: 20px;
}

/* progress bar */
.background_mask { background: #666; opacity: 0.7; display: none; position: absolute; top: 0px; left: 0px; right: 0px; bottom: 0px; z-index: 99999; }
.background_mask .mask_box { display: inline-block; position: absolute; background: #333; opacity: 0.8; width: 380px; height: 100px; left: calc(50% - 190px); top: calc(50% - 50px); transition: all .2s ease; }
.background_mask .mask_box .main_default_progressbar { position: relative; width: 320px; height: 36px; top: 45%; top: calc(50% - 15px); left: 25%; left: calc(50% - 160px); }
.background_mask .mask_box .main_default_progressbar:before {
    content: "";
    position: absolute;
    background-color: #fff;
    top: -10px;
    left: 0px;
    height: 50px;
    width: 0px; 
    z-index: 0; 
    opacity: 1; 
    -webkit-transform-origin: 100% 0%; 
    transform-origin: 100% 0%; 
    -webkit-animation: main_default_progressbar 6s ease-in-out infinite; 
    animation: main_default_progressbar 6s ease-in-out infinite; 
}
.background_mask .mask_box .main_default_progressbar:after {
    content: "  Loading...";
    color: #fff;
    padding-left: 10px;
    font-weight: 400;
    font-size: 24px;
    position: absolute;
    width: 100%;
    height: 46px;
    line-height: 38px;
    left: 0;
    top: -8px;
    background-color: #000;
    z-index: 999999;
    opacity: 1;
}
.background_mask_loading {
    background: none;
    background-image: url(/images/login/default/loading2.gif);
    background-repeat: no-repeat;
    background-position: center;
    background-color: transparent;
    opacity: 1;
}
@-webkit-keyframes main_default_progressbar {
    0% { width: 0px; }
    70% { width: 100%; opacity: 1; }
    90% { opacity: 0; width: 100%; }
    100% { opacity: 0; width: 0px; }
}
@keyframes main_default_progressbar {
    0% { width: 0px; }
    70% { width: 100%; opacity: 1; }
    90% { opacity: 0; width: 100%; }
    100% { opacity: 0; width: 0px; }
}

.ui.grid > .row.thin {
    padding-top: 0;
    padding-bottom: 0;
}
.textright {
    text-align: right !important;
}
.textleft {
    text-align: left !important;
}
.textcenter {
    text-align: center !important;
}
/*파일관련*/
.ui.action.input input[type="file"] {
    display: none;
}
.ui.action.input input[type="text"] {
    width: 150px;
}
.filebox .ui.action.input{
    margin: 2px 2px 1px;
}
    .filebox .ui.action.input.view input[type="text"]{
        background-color: #eee;
    }
    .filebox .filedropzone{
        border: 1px dotted #ddd;
        padding: 10px; margin-top: 5px;
        background-color: #f5f5f5;
        border-radius: 5px;
    }
    .filebox .filedropzone.thin-filebox{
        padding: 2px 20px; margin-top: 0;
    }
    .filedraggiude.hide{display: none;}

    .filebox.uploadbox{
        display: inline-block;
    }
        .filebox.uploadbox .pointing{display: inline-block;}
        .filebox.uploadbox .dropzone {
            display: inline-block;
        }

.fileboxs .ui.action.input{
    margin: 2px 2px 1px;
}
.fileboxs .ui.action.input.view input[type="text"]{
    background-color: #eee;
}
.fileboxs .filedropzones{
    border: 1px dotted #ddd;
    padding: 10px; margin-top: 5px;
    background-color: #f5f5f5;
    border-radius: 5px;
}
.fileboxs .filedropzones.thin-filebox{
    padding: 2px 20px; margin-top: 0;
}
/*.filedraggiude.hide{display: none;}*/

.fileboxs.uploadbox{
    display: inline-block;
}
.fileboxs.uploadbox .pointing{display: inline-block;}
.fileboxs.uploadbox .dropzones {
    display: inline-block;
}

.contentInput{
    width: 678px;
    height: 170px;
}

/*search filter*/
.search-filter .ctl-not-search {
    border-color: #ff006e !important;
}
/*ag grid*/
.ag-cell-valid{
    color: red;
}
.ag-header-cell-label {
    
}
.ag-header-group-cell-label {
    justify-content: center;
}
.ag-theme-balham .ag-header-cell:after, .ag-theme-balham .ag-header-group-cell:after{
    top: 0 !important; height: 100% !important; 
    /*background-color: #ddd !important;*/
}
/*.ag-root ::-webkit-scrollbar {
    width: 2em;
    height: 2em
}
.ag-root ::-webkit-scrollbar-button {
    background: #ccc
}
.ag-root ::-webkit-scrollbar-track-piece {
    background: #888
}
.ag-root ::-webkit-scrollbar-thumb {
    background: #eee
}​*/
.ag-theme-balham .ag-row-selected {
    /*background-color: #efefef !important;*/
    background-color: #f3f9ff !important;
    /*border: 1px solid var(--ag-selected-row-background-color,#b7e4ff) !important;*/
}
.ag-header-cell-label, .ag-header-group-cell {
    justify-content: center;
}
.data-invalid-red {
    background-color: red;
}

.rag-red {
    background-color: lightcoral;
}
/*ag-grid number editor cell*/
.ag-cell .ag-cell-number-input {
    border: 0 none;
    width: 100%;
    text-align: right;
}
.ag-cell-underline {
    text-decoration: underline !important;
    text-underline-position: under;
    color: #45668e;
    font-weight: bold !important;
    cursor: pointer;
}

/*process search box*/
.process-searchbox {
    width: 300px;
}
.ui.search.dropdown > input.search.process-search-input {
    display: block;
    background-color: #faf9bc !important;
    width: 100% !important;
    padding: 5px;
    border: 1px dotted #ddd !important;
}

/*risk search box*/
.search.risk-ren, .search.coso-ren {
    width: 300px;
}
.ag-popup-editor .results transition{
    max-height: 200px; overflow: auto;
}

/*check editor*/
.ag-cell-checkbox{
    text-align: center;
}
.ag-editor-checkbox {
    margin: 0 auto;
    display: block;
}
/*combo*/
.ag-cell-combo{
    border: 1px solid #efefef;
    width: 100%; height: 100%;
}
/*팝업*/
.ui.large.modal {
    width: 90%;
}

.ui.small.modal {
    width: 38%;
}

.ui.ssmall.modal {
    width: 30%;
}
/*팝업 정적 조건*/
.ui.grid.popup-static{padding: 0 30px}
    .popup-static.segment{border: 0 none;}

/*aggrid popup search*/
.ag-popup .ag-popup-editor .search .results{
    position: fixed;
    top: initial;
    left: initial;
    width: 300px;
    max-height: 200px;
    overflow: auto;
}
.ag-popup .ag-popup-editor .search .results.nofix{
    position: absolute;
    max-height: 100px;
}
.ag-popup .ag-popup-editor .search .results .description{
    display: none;
}
    .ag-popup .ag-popup-editor .search .results a.result {
        padding: 10px;
    }
.ui.search > .results .result .title{
    font-weight: normal;
}
    .ui.search > .results .result .title span.first {
        color: #ddd; font-size: 0.8em;
    }

.topicbox i.angle {
    padding: 0 20px 0 3px;
    cursor: pointer;
}

.ui.button.xmini{margin:0 .25em 0 0;padding:.48571429em 1.5em .48571429em; box-shadow: none; -webkit-box-shadow: none !important; }
    .ui.button.xmini:hover {
        text-decoration: underline;
    }

.ui.dimmer {
    background-color: rgba(0, 0, 0, 0.55);
}
.ui.segment.nopadding{padding: 0;}
.ui.input.noborder > input{border: 0 none}
.ui.menu .noborder{border: 0 none}
/*.ui.label > .icon.marginright, .ui.left.icon.label > .icon.marginright {
    margin: 0 .45em 0 0
}*/
.firmlogo{max-height: 41px; width: auto !important; max-width: 100px;}
.ui.menu .item > .label:not(.floating).notstyle {
    margin-left: 0;
    background-color: inherit;
    color: inherit;
    padding-left: 0;
    padding-right: 0;
}
.ui.secondary.pointing.menu .item.topuser{padding: 0}
.ui.label > .icon, .ui.left.icon.label > .icon.marginright05 {
    margin-right: 0.5em;
}
div.ag-root .ag-cell-focus {
    -webkit-user-select: text;
    -moz-user-select: text;
    -ms-user-select: text;
    user-select: none;
}
.ui.checkbox.topic-nav.master {
    padding-right: 20px;
}
.topicbox .topic-select .ui.toggle.checkbox {
    margin-bottom: 4px;
}
.topicbox .ui.toggle.checkbox.inverted {
    display: block
}
.ag-theme-balham .ag-cell.ag-cell-short-height {
    line-height: 22px;
}
.datepicker-date .calendar .day thead tr:last-child th:first-child, .datepicker-date .calendar .day tbody tr td.link:first-child {
    color: #d41a1a;
}
.datepicker-date .calendar .day tbody tr td.link.disabled {
    color: transparent;
}
.datepicker-date .calendar .day thead tr:last-child th:last-child, .datepicker-date .calendar .day tbody tr td.link:last-child {
    color: #057be7;
}

.datepicker-date .calendar .day tbody tr td.link.disabled {
    color: transparent;
}
.ui.secondary.pointing.menu {
    border-bottom: 4px solid #4d7198;
}

.text-center{text-align: center;}
.data-deleted{color: #ff006e}
.data-invalid-red.data-deleted {
    color: yellow;
}
.data-modified{color: #29acff}
.data-new{color: #666}
.modals .modal .header:before {
    content: '≡ ';
}
.padding-left-10{padding-left: 10px;}
.padding-left-20{padding-left: 20px;}
.ui.toast-container .toast-box.compact, .ui.toast-container .toast-box > .compact{
    width: 550px;
}
.data-new.data-invalid-red, .data-invalid-red {
    color: #faf9bc
}
.ui.message{font-size: 1.1em;}